=== modified file 'doc/developers/releasing.txt'
--- doc/developers/releasing.txt	2010-12-06 07:48:48 +0000
+++ doc/developers/releasing.txt	2010-12-17 08:35:38 +0000
@@ -374,7 +374,7 @@
       feedback.
 
       Bazaar is now available for download from
-      https://launchpad.net/bzr/2.x/2.x/ as a source tarball; packages
+      https://launchpad.net/bzr/x.y/x.y.z/ as a source tarball; packages
       for various systems will be available soon.
 
       <<release notes from this release back to the last major release>>
@@ -392,6 +392,25 @@
    releases. If you do not have a Freshmeat account yet, ask one of the
    existing admins.
 
+   The purpose here is to point users to the latest stable release while still
+   publishing announcements for development releases.
+
+   There are several kinds of modifications that could be done there via the
+   ``Administration`` box in the lower right area of the page:
+
+   * Edit the project: This is where most of the URLs proposed in the
+     ``Links`` box are edited. This should rarely change except for the URLs
+     related to the latest stable release.
+
+   * New announcement: When doing a release (beta, candidates, final), put the
+     summary of the release (you can't embed URLs there, the moderation staff
+     remove them). Users can still access the releases notes via the ``Release
+     Notes`` URL in the ``Links`` box in the upper right area of the page.
+
+   * Set direct download: When releasing a new stable release, this should
+     point to the corresponding launchpad page:
+     <https://launchpad.net/bzr/x.y/x.y.z/>
+
 #. Update `<http://en.wikipedia.org/wiki/Bazaar_(software)>`_ -- this should
    be done for final releases but not for beta releases or Release Candidates.
 

=== modified file 'doc/en/release-notes/bzr-2.3.txt'
--- doc/en/release-notes/bzr-2.3.txt	2010-12-16 20:41:47 +0000
+++ doc/en/release-notes/bzr-2.3.txt	2010-12-17 08:35:38 +0000
@@ -55,6 +55,9 @@
 
 .. Improved or updated documentation.
 
+* Better document the rules to update the bzr freshmeat page when
+  doing a release. (Vincent Ladeuil, #690515)
+
 API Changes
 ***********
 

